Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.security.control
Class GetUserInfoListener.UserBean

    java.lang.Object
      org.deegree.portal.standard.security.control.GetUserInfoListener.UserBean

Enclosing class:
  GetUserInfoListener

    public class GetUserInfoListener.UserBean

extends Object

Constructor Summary
`GetUserInfoListener.UserBean(String userName, String firstName, String lastName, String mailAddress)`

Method Summary
`String` | `getFirstName()`
`String` | `getLastName()`
`String` | `getMailAddress()`
`String` | `getUserName()`
`void` | `setFirstName(String firstName)`
`void` | `setLastName(String lastName)`
`void` | `setMailAddress(String mailAddress)`
`void` | `setUserName(String userName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetUserInfoListener.UserBean

    public GetUserInfoListener.UserBean(String userName,
                                        String firstName,
                                        String lastName,
                                        String mailAddress)

Parameters:
  `userName` -
  `firstName` -
  `lastName` -
  `mailAddress` -

Method Detail

### getUserName

    public String getUserName()

  Returns:
    the userName

### setUserName

    public void setUserName(String userName)

  Parameters:
    `userName` - the userName to set

### getFirstName

    public String getFirstName()

  Returns:
    the firstName

### setFirstName

    public void setFirstName(String firstName)

  Parameters:
    `firstName` - the firstName to set

### getLastName

    public String getLastName()

  Returns:
    the lastName

### setLastName

    public void setLastName(String lastName)

  Parameters:
    `lastName` - the lastName to set

### getMailAddress

    public String getMailAddress()

  Returns:
    the mailAddress

### setMailAddress

    public void setMailAddress(String mailAddress)

  Parameters:
    `mailAddress` - the mailAddress to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org